## ros-melodic-grid-map-cv 1.6.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1)
project(grid_map_cv)

set(CMAKE_CXX_FLAGS "-std=c++11 ${CMAKE_CXX_FLAGS}")

set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

## Find catkin macros and libraries
find_package(catkin REQUIRED COMPONENTS
  grid_map_core
  cv_bridge
  filters
)

find_package(OpenCV REQUIRED
  COMPONENTS
  opencv_photo
)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  INCLUDE_DIRS
    include
  LIBRARIES
    ${PROJECT_NAME}
  CATKIN_DEPENDS
    grid_map_core
    cv_bridge
    filters
  DEPENDS
    OpenCV
)

###########
## Build ##
###########

## Specify additional locations of header files
include_directories(
  include
  SYSTEM
    ${catkin_INCLUDE_DIRS}
    ${EIGEN3_INCLUDE_DIR}
)

## Declare a cpp library
add_library(${PROJECT_NAME}
  src/GridMapCvProcessing.cpp
  src/InpaintFilter.cpp
)

target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
  ${OpenCV_LIBRARIES}
)

add_dependencies(${PROJECT_NAME}
  ${catkin_EXPORTED_TARGETS}
)

#############
## Install ##
#############

# Mark executables and/or libraries for installation
install(
  TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Mark cpp header files for installation
install(
  DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.hpp"
)

# Mark other files for installation.
install(
  FILES filter_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pthread")

  ## Add gtest based cpp test target and link libraries
  catkin_add_gtest(${PROJECT_NAME}-test
    test/test_grid_map_cv.cpp
    test/GridMapCvTest.cpp
    test/GridMapCvProcessingTest.cpp
  )
  target_include_directories(${PROJECT_NAME}-test PRIVATE
    include
  )
  target_include_directories(${PROJECT_NAME}-test SYSTEM PUBLIC
    ${catkin_INCLUDE_DIRS}
    ${EIGEN3_INCLUDE_DIR}
  )
  target_link_libraries(${PROJECT_NAME}-test
    ${PROJECT_NAME}
  )

  ###################
  ## Code_coverage ##
  ###################
  find_package(cmake_code_coverage QUIET)
  if(cmake_code_coverage_FOUND)
    add_gtest_coverage(
      TEST_BUILD_TARGETS
        ${PROJECT_NAME}-test
    )
  endif()
endif()

#################
## Clang_tools ##
#################
find_package(cmake_clang_tools QUIET)
if(cmake_clang_tools_FOUND)
  add_default_clang_tooling(
    DISABLE_CLANG_FORMAT
  )
endif(cmake_clang_tools_FOUND)

## ros-melodic-grid-map-cv 1.6.2

=== debian/changelog ===
ros-melodic-grid-map-cv (1.6.2-1stretch) stretch; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sun, 13 Oct 2019 22:00:00 -0000

ros-melodic-grid-map-cv (1.6.1-1stretch) stretch; urgency=high

  * Updated host changes.
  * Updated author e-mail address.
  * Contributors: Peter Fankhauser, Péter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Tue, 26 Feb 2019 23:00:00 -0000

ros-melodic-grid-map-cv (1.6.0-1stretch) stretch; urgency=high

  * Fixed compatibility issue with OpenCV 3 (#140 <https://github.com/anybotics/grid_map/issues/140>).
  * Makes the OpenCV include a bit more specific and adds in a dependency into the catkin_package call.
  * Moved inpaint filter to grid_map_cv, extended filter demo, cleanups.
  * Fixed problem where clamp changes were disregarded (#115 <https://github.com/anybotics/grid_map/issues/115> from Le-Fix/fix/toImageClamp).
  * Contributors: Péter Fankhauser, Perry Franklin, Le-Fix

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Thu, 23 Nov 2017 23:00:00 -0000

ros-melodic-grid-map-cv (1.5.2-1stretch) stretch; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 24 Jul 2017 22:00:00 -0000

ros-melodic-grid-map-cv (1.5.1-1stretch) stretch; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 24 Jul 2017 22:00:00 -0000

ros-melodic-grid-map-cv (1.5.0-1stretch) stretch; urgency=high

  * Fixed bug for change resolution function in OpenCV processing class (including unit tests). (#91 <https://github.com/anybotics/grid_map/issues/91>).
  * Extend grid_map_cv unit test for transparent pixels/nan-values.
  * Remove constructor and destructor declaration in GridMapCvConverter.
  * Contributors: Peter Fankhauser, Marco Camurri, Sascha

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 17 Jul 2017 22:00:00 -0000

ros-melodic-grid-map-cv (1.4.2-1stretch) stretch; urgency=high

  * Fixed conversion to/from images in float&double format.
  * Contributors: Peter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 23 Jan 2017 23:00:00 -0000

ros-melodic-grid-map-cv (1.4.1-1stretch) stretch; urgency=high

  * Improved transformation of images to color grid map layers.
  * Contributors: Peter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sat, 22 Oct 2016 22:00:00 -0000

ros-melodic-grid-map-cv (1.4.0-1stretch) stretch; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sun, 21 Aug 2016 22:00:00 -0000

ros-melodic-grid-map-cv (1.3.3-1stretch) stretch; urgency=high

  * Release for ROS Kinetic.
  * Contributors: Peter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 09 May 2016 22:00:00 -0000

ros-melodic-grid-map-cv (1.3.2-1stretch) stretch; urgency=high

  * Updated dependency to OpenCV for compatibility with ROS Kinetic and OpenCV 2/3.
  * Contributors: Peter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 09 May 2016 22:00:00 -0000

ros-melodic-grid-map-cv (1.3.1-1stretch) stretch; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 09 May 2016 22:00:00 -0000

ros-melodic-grid-map-cv (1.3.0-1stretch) stretch; urgency=high

  * Separated OpenCV to grid map conversions to grid_map_cv package. The new methods
    are more generalized, faster, and can be used without ROS message types.
  * Added new convenience function to change the resolution of grid maps with help of the OpenCV interpolation methods.
  * Added initializeFromImage() to GridMapCvConverter.
  * Added unit tests for grid_map_cv. Updated documentation.
  * Resolving build errors for OpenCV.
  * Fixed typo and added documentation.
  * Contributors: Peter Fankhauser, Dominic Jud,

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 25 Apr 2016 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-grid-map-cv
Section: misc
Priority: optional
Maintainer: Péter Fankhauser <pfankhauser@anybotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-cv-bridge, ros-melodic-filters, ros-melodic-grid-map-core
Homepage: http://github.com/anybotics/grid_map
Standards-Version: 3.9.2

Package: ros-melodic-grid-map-cv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-cv-bridge, ros-melodic-filters, ros-melodic-grid-map-core
Description: Conversions between grid maps and OpenCV images.

## ros-melodic-grid-map-cv 1.6.4

=== debian/changelog ===
ros-melodic-grid-map-cv (1.6.4-2bionic) bionic; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Thu, 03 Dec 2020 23:00:00 -0000

ros-melodic-grid-map-cv (1.6.3-2bionic) bionic; urgency=high

  * Added getTransformedMap.

 -- Maximilian Wulf <mwulf@anybotics.com>  Tue, 29 Sep 2020 22:00:00 -0000

ros-melodic-grid-map-cv (1.6.2-2bionic) bionic; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sun, 13 Oct 2019 22:00:00 -0000

ros-melodic-grid-map-cv (1.6.1-2bionic) bionic; urgency=high

  * Updated host changes.
  * Updated author e-mail address.
  * Contributors: Peter Fankhauser, Péter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Tue, 26 Feb 2019 23:00:00 -0000

ros-melodic-grid-map-cv (1.6.0-2bionic) bionic; urgency=high

  * Fixed compatibility issue with OpenCV 3 (#140 <https://github.com/anybotics/grid_map/issues/140>).
  * Makes the OpenCV include a bit more specific and adds in a dependency into the catkin_package call.
  * Moved inpaint filter to grid_map_cv, extended filter demo, cleanups.
  * Fixed problem where clamp changes were disregarded (#115 <https://github.com/anybotics/grid_map/issues/115> from Le-Fix/fix/toImageClamp).
  * Contributors: Péter Fankhauser, Perry Franklin, Le-Fix

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Thu, 23 Nov 2017 23:00:00 -0000

ros-melodic-grid-map-cv (1.5.2-2bionic) bionic; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 24 Jul 2017 22:00:00 -0000

ros-melodic-grid-map-cv (1.5.1-2bionic) bionic; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 24 Jul 2017 22:00:00 -0000

ros-melodic-grid-map-cv (1.5.0-2bionic) bionic; urgency=high

  * Fixed bug for change resolution function in OpenCV processing class (including unit tests). (#91 <https://github.com/anybotics/grid_map/issues/91>).
  * Extend grid_map_cv unit test for transparent pixels/nan-values.
  * Remove constructor and destructor declaration in GridMapCvConverter.
  * Contributors: Peter Fankhauser, Marco Camurri, Sascha

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 17 Jul 2017 22:00:00 -0000

ros-melodic-grid-map-cv (1.4.2-2bionic) bionic; urgency=high

  * Fixed conversion to/from images in float&double format.
  * Contributors: Peter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 23 Jan 2017 23:00:00 -0000

ros-melodic-grid-map-cv (1.4.1-2bionic) bionic; urgency=high

  * Improved transformation of images to color grid map layers.
  * Contributors: Peter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sat, 22 Oct 2016 22:00:00 -0000

ros-melodic-grid-map-cv (1.4.0-2bionic) bionic; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sun, 21 Aug 2016 22:00:00 -0000

ros-melodic-grid-map-cv (1.3.3-2bionic) bionic; urgency=high

  * Release for ROS Kinetic.
  * Contributors: Peter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 09 May 2016 22:00:00 -0000

ros-melodic-grid-map-cv (1.3.2-2bionic) bionic; urgency=high

  * Updated dependency to OpenCV for compatibility with ROS Kinetic and OpenCV 2/3.
  * Contributors: Peter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 09 May 2016 22:00:00 -0000

ros-melodic-grid-map-cv (1.3.1-2bionic) bionic; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 09 May 2016 22:00:00 -0000

ros-melodic-grid-map-cv (1.3.0-2bionic) bionic; urgency=high

  * Separated OpenCV to grid map conversions to grid_map_cv package. The new methods
    are more generalized, faster, and can be used without ROS message types.
  * Added new convenience function to change the resolution of grid maps with help of the OpenCV interpolation methods.
  * Added initializeFromImage() to GridMapCvConverter.
  * Added unit tests for grid_map_cv. Updated documentation.
  * Resolving build errors for OpenCV.
  * Fixed typo and added documentation.
  * Contributors: Peter Fankhauser, Dominic Jud,

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 25 Apr 2016 22:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: ros-melodic-grid-map-cv
 Section: misc
 Priority: optional
-Maintainer: Péter Fankhauser <pfankhauser@anybotics.com>
-Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-cv-bridge, ros-melodic-filters, ros-melodic-grid-map-core
+Maintainer: Maximilian Wulf <mwulf@anybotics.com>
+Build-Depends: debhelper (>= 9.0.0), libgtest-dev, ros-melodic-catkin, ros-melodic-cv-bridge, ros-melodic-filters, ros-melodic-grid-map-core
 Homepage: http://github.com/anybotics/grid_map
 Standards-Version: 3.9.2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-grid-map-cv//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
